NEXUSNORMALIZER(1)

NAME
NEXUSnormalizer - rewrites NEXUS file to standard out with consistent indentation and syntax

DESCRIPTION
NEXUSnormalizer takes reads a file and rewrites the file to standard out with consistent indentation and syntax.

  The most common usage is simply:

    NEXUSnormalizer <path to NEXUS file>

OPTIONS

-h on the command line shows this help message

-q suppress NCL status messages while reading files

-l<path> reads a file and treats each line of the file as a path to NEXUS file

-a output AltNexus (no translation table in trees)

-x do NOT validate internal labels in trees as taxa labels

-X do NOT treat numbers in trees as taxon numbers, treat them as arbitrary

    labels (should not be used with NEXUS files).

-s<non-negative integer> controls the NEXUS strictness level.

    the default level is equivalent to -s2 invoking the program with -s3 or a higher number will convert some warnings into fatal errors. Running with -s1 will cause the parser to accept dangerous constructs, and running with -s0 will cause the parser make every attempt to finish parsing the file (warning about very serious errors).

    Note that when -s0 strictness level is used, and the parser fails to finish, it will often be the result of an earlier error than the error that is reported in the last message.

-i<number> specifies the length of the interleaved pages to create

-f<format> specifies the input file format expected:

-fnexus
    NEXUS (this is also the default)

-faafasta
    Amino acid data in fasta

-fdnafasta
    DNA data in fasta

-frnafasta
    RNA data in fasta

    The complete list of format names that can follow the -f flag is:

    nexus
    dnafasta
    aafasta
    rnafasta
    dnaphylip
    rnaphylip
    aaphylip
    discretephylip
    dnaphylipinterleaved
    rnaphylipinterleaved
    aaphylipinterleaved
    discretephylipinterleaved
    dnarelaxedphylip
    rnarelaxedphylip
    aarelaxedphylip
    discreterelaxedphylip
    dnarelaxedphylipinterleaved
    rnarelaxedphylipinterleaved
    aarelaxedphylipinterleaved
    discreterelaxedphylipinterleaved
    dnaaln
    rnaaln
    aaaln
    phyliptree
    relaxedphyliptree
    nexml
    dnafin
    aafin
    rnafin

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.